// Package delay ...
//
// Description : delay ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2022-07-06 17:55
package delay

// Queue 队列数据
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 17:56 2022/7/6
type Queue struct {
	Name      string                 `json:"name"`       // 队列名称
	DelayTime int64                  `json:"delay_time"` // 延迟执行时间
	Data      map[string]interface{} `json:"data"`       // 入队数据
	err       error                  // 数据入队的异常信息
}

// Err 获取入队异常
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 18:37 2022/7/6
func (q *Queue) Err() error {
	return q.err
}
